/*
 * IDLIfaceCN.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Actions;

import SOFA.Connector.EEG.CodeWriter.CDL2IDLMapping;
import SOFA.Connector.EEG.CodeWriter.IDLWriterDirectorException;
import SOFA.SOFAnode.Made.TIR.ExceptionDef;
import SOFA.SOFAnode.Made.TIR.OperationDef;
import SOFA.SOFAnode.Made.TIR.ParamDescr;

/**
 *
 * @author  ghort
 * @version 
 */
public class IDLIfaceCN {
	public static String getOperationDef(OperationDef mt) throws IDLWriterDirectorException {
		try {
			StringBuffer ret=new StringBuffer(CDL2IDLMapping.getTypeName(mt.result())+" "+mt.get_identification().name()+"(");
			
			int j;
			ParamDescr[] params=mt.params();
			for (j=0;j<params.length;j++) {
				if (j>0) {
					ret.append(", ");
				}
				ret.append(CDL2IDLMapping.getTypeDecl(params[j].type(),params[j].mode().value())+" "+params[j].name());
			}
			if (j>0) {
				ret.append(", ");
			}
			ret.append("in string thr_id");
			ret.append(")");
			
			ExceptionDef[] exceptions=mt.exceptions();
			for (j=0;j<exceptions.length;j++) {
				if (j==0) {
					ret.append(" raises ");
				} else {
					ret.append(", ");
				}
				ret.append(exceptions[j].get_identification().absolute_name());
			}
			return ret.toString();
		} catch (Exception e) {
			throw new IDLWriterDirectorException("Cannot create method declaration.",e);
		}
	}
}
