/*
 * Install.java
 *
 * Created on 2. duben 2002, 23:37
 */

package SOFA.Connector.EEG.EEM.Actions;

import SOFA.Connector.EEG.EEM.ActionException;
import SOFA.Connector.EEG.EEM.ActionInterface;

/**
 *
 * @author  ghort
 * @version 
 */
public class Install implements ActionInterface {

	/** Creates new Install */
   public Install(java.util.HashMap props) {
   }

	public String getName() {
		return "install";
	}
	 
	public void perform(SOFA.Connector.Property[] params, String sourceDir, String sourcePackage, String destDir, String destPackage) throws ActionException {
		 String source, dest;
		 if ((source=SOFA.Connector.Property.findFirst(params,"source"))==null) {
			 throw new ActionException("Source param not specified");
		 }
		 if ((dest=SOFA.Connector.Property.findFirst(params,"destination"))==null) {
			 throw new ActionException("Destination param not specified");
		 }
		 
		 try {
			 SOFA.Connector.EEG.fileutil.Copy.copy(new java.io.File(destDir,dest),new java.io.File(sourceDir,source));
		 } catch (Exception e) {
			 throw new ActionException("Can't copy "+sourceDir+":"+source+" -> "+destDir+":"+dest+".",e);
		 }
	}
	 
}
