/*
 * CNInterfaceGen.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Elements;

import SOFA.Connector.EEG.CodeWriter.JWriterDirectorException;
import SOFA.Connector.EEG.EEM.Actions.JIfaceCN;
import SOFA.Connector.EEG.EEM.Actions.JIfaceWriterDirectorBase;
import SOFA.SOFAnode.Made.TIR.OperationDef;

/**
 *
 * @author  ghort
 * @version 
 */
public class CNInterfaceGen extends JIfaceWriterDirectorBase {

	/** Creates new CNInterfaceGen */
	public CNInterfaceGen(String ifaceCDL, SOFA.Connector.Property[] params) {
		super(ifaceCDL,params);
	}

	public String getMethod(OperationDef method) throws JWriterDirectorException {
		return JIfaceCN.getMethodDef(method);
	}

        public String getInterfaceBody() throws JWriterDirectorException {
          return 
                "\torg.objectweb.fractal.api.Type getFcItfType() ;\n"+
                "\tboolean isFcInternalItf() ;\n"+
                "\tString getFcItfName() ;\n"+
                "\torg.objectweb.fractal.api.Component getFcItfOwner() ;\n\n";
        }
	 
}
