/* $Id: Mapping.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.CodeGen;

/** Provides information about mapping CDL types to concrete implementation language.
  *
  * @author Petr Hnetynka
  */
public interface Mapping {
  
  /** Returns name of the type in the concrete implementation language.
    * @param type    cdl type (TIR object)
    * @return   string with type name or null
    */
  String getImplTypeName(SOFA.SOFAnode.Made.TIR.CDLType type);

}
