/* $Id: ExceptionDef.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for the exceptions */
public interface ExceptionDef extends Contained, Container, CDLType {
  /** members of this exception */
  public StructMember[] members() throws RemoteException, TIRExceptLock;  
  /** Create new member in this exception */
  public StructMember create_member(String name, CDLType type) throws RemoteException, TIRExceptCreate, TIRExceptLock;
  /** Create new struct in this exception */
  public StructDef create_struct(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock;
  /** Create new union in this exception */
  public UnionDef create_union(Identification id, CDLType switch_type) throws RemoteException, TIRExceptCreate, TIRExceptLock;
  /** Create new enum in this exception */
  public EnumDef create_enum(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock;
}
