/* $Id: CDLContainerImpl.java,v 1.2 2004/05/20 14:23:52 bures Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import java.rmi.RemoteException;

import SOFA.SOFAnode.Made.TIR.CDLContainer;
import SOFA.SOFAnode.Made.TIR.CDLType;
import SOFA.SOFAnode.Made.TIR.ConstantDef;
import SOFA.SOFAnode.Made.TIR.EnumDef;
import SOFA.SOFAnode.Made.TIR.ExceptionDef;
import SOFA.SOFAnode.Made.TIR.ExprOperDef;
import SOFA.SOFAnode.Made.TIR.FrameDef;
import SOFA.SOFAnode.Made.TIR.Identification;
import SOFA.SOFAnode.Made.TIR.InterfaceDef;
import SOFA.SOFAnode.Made.TIR.ModuleDef;
import SOFA.SOFAnode.Made.TIR.StructDef;
import SOFA.SOFAnode.Made.TIR.TIRExceptCreate;
import SOFA.SOFAnode.Made.TIR.TIRExceptLock;
import SOFA.SOFAnode.Made.TIR.TypedefDef;
import SOFA.SOFAnode.Made.TIR.UnionDef;

public abstract class CDLContainerImpl extends ContainerImpl implements CDLContainer, SContainer {
  public CDLContainerImpl() throws RemoteException {
    super();
  }
  public ModuleDef create_module(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
  
  public ConstantDef create_constant(Identification id, CDLType type, ExprOperDef value) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
  
  public StructDef create_struct(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
    
  public UnionDef create_union(Identification id, CDLType switch_type) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
    
  public EnumDef create_enum(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
  
  public TypedefDef create_typedef(Identification id, CDLType orig_type) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
  
  public ExceptionDef create_exception(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }

  public InterfaceDef create_interface(Identification id, InterfaceDef[] base_interfaces) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }

  public InterfaceDef create_interface(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
  
  public FrameDef create_frame(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock {
    throw new TIRExceptCreate("you can call create method on work object");
  }
}
