/* $Id: SContainer.java,v 1.2 2004/05/20 14:23:52 bures Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import java.rmi.Remote;
import java.rmi.RemoteException;

import SOFA.SOFAnode.Made.TIR.Contained;
import SOFA.SOFAnode.Made.TIR.DefinitionKind;
import SOFA.SOFAnode.Made.TIR.Identification;
import SOFA.SOFAnode.Made.TIR.TIRExceptLock;

/* for implementation purposes */
public interface SContainer extends Remote  {
  public Contained   slookup(Identification id) throws RemoteException, TIRExceptLock;
  public Contained   slookup(String name, String version) throws RemoteException, TIRExceptLock;
  public Contained[] slookup_name(Identification id) throws RemoteException, TIRExceptLock;
  public Contained[] slookup_name(String name) throws RemoteException, TIRExceptLock;
  public Contained[] scontents(DefinitionKind type) throws RemoteException, TIRExceptLock;

  /* return workId for which is locked or -1 if isn't locked */
  public long isLockedForCreate() throws RemoteException ;
}
