/* $Id: OperationDef.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for <i>CDL interface</i> operation. */
public interface OperationDef extends Contained {
  /** Type of the result of this operation */
  public CDLType result() throws RemoteException;
  /** Parameters of this operaton */
  public ParamDescr[] params() throws RemoteException, TIRExceptLock;
  /** Exceptions that can raise by this operation. */
  public ExceptionDef[] exceptions() throws RemoteException;

  /** Create new parametr of this operation */
  public ParamDescr create_parametr(String name, CDLType type, int paramMode) throws RemoteException, TIRExceptCreate, TIRExceptLock;
}
