/* $Id: PrimitiveKind.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Kinds of the primitive types */
public interface PrimitiveKind extends Remote {
  public static final int pk_void = 0;
  public static final int pk_short = 1;
  public static final int pk_long = 2;
  public static final int pk_longlong = 3;
  public static final int pk_ushort = 4;
  public static final int pk_ulong = 5;
  public static final int pk_ulonglong = 6;
  public static final int pk_float = 7;
  public static final int pk_double = 8;
  public static final int pk_longdouble = 9;
  public static final int pk_boolean = 10;
  public static final int pk_char = 11;
  public static final int pk_wchar = 12;
  public static final int pk_octet = 13;
  public static final int pk_object = 14;
  public static final int pk_string = 15;
  public static final int pk_wstring = 16;
  public static final int pk_any = 17;
  public int value() throws RemoteException;
}
