/**
 * CNTR2InOutRemote.java is a part of the SOFA project.
 * This file was created by pepan on 19.3.2003.
 */
package SOFA.SOFAnode.TR.Connector;

import java.rmi.Remote;
import java.rmi.RemoteException;

import SOFA.SOFAnode.TR.ComponentInfo;
import SOFA.SOFAnode.TR.TRException;

/**
 * @author Petr Panuska
 */
public interface CNTR2InOutRemote extends Remote {
  public void storeBundle (byte[] bundleData) throws RemoteException, TRException;

  public byte[] getBundle (ComponentInfo[] descs, ComponentInfo[] comps, boolean inferiors) throws RemoteException, TRException;

//  public byte[] getMetaBundle (ComponentInfo[] descs) throws RemoteException, TRException;

  public boolean contains (ComponentInfo descrs) throws RemoteException;

  public byte[] list () throws RemoteException;
}
