/* $Id: RoleDescription.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Util.ConnectorProtocolGen;


/** Description of connector role.
  * @author Petr Hnetynka
  */
public class RoleDescription {
  /** Declaration of role (string from <b>bind</b> declaration from CDL description.  */
  public String   declaration;
  /** Array of renamed, fully qualified methods of role. */
  public String[] methods;

  /** Constructor */
  public RoleDescription(String declaration, String[] methods) {
    this.declaration = declaration;
    this.methods = methods;
  }
}
