/* 
 * $Id: InvalidParameterException.java,v 1.4 2005/07/08 12:04:12 kofron Exp $ 
 *
 * Copyright 2004
 *    Distributed Systems Research Group
 *    Department of Software Engineering
 *    Faculty of Mathematics and Physics
 *    Charles University, Prague
 *
 * Copyright 2005
 *    Formal Methods In Software Engineering Group
 *    Institute of Computer Science
 *    Academy of Sciences of the Czech Republic
 * 
 * This code was developed by Jan Kofron <kofron@nenya.ms.mff.cuni.cz>
 */

package SOFA.SOFAnode.Util.DFSRChecker.node;

/**
 * Exception is thrown when an error during traversing of the graph occurs. It
 * is used for debugging reasons.
 */
public class InvalidParameterException extends Exception {

    /** Creates a new instance of InvalidParameterException */
    public InvalidParameterException() {
    }

}