/* $Id: CNComponentLifecycleControlRemoteInterface.java,v 1.2 2004/05/20 14:23:50 bures Exp $ */
package SOFA.Connector.Boot;

import java.rmi.Remote;
import java.rmi.RemoteException;

import SOFA.Component.ComponentLifecycleException;
import SOFA.SOFAnode.Run.Storage;

public interface CNComponentLifecycleControlRemoteInterface extends Remote {

	void createComponent(Storage stateStore) throws ComponentLifecycleException, RemoteException;
	void destroyComponent(Storage stateStore) throws ComponentLifecycleException, RemoteException;
	void storeComponent(Storage stateStore) throws ComponentLifecycleException, RemoteException;
	void restoreComponent(Storage stateStore) throws ComponentLifecycleException, RemoteException;
}
