/* $Id: CNDeplDock.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.Connector.Boot;

/** Connector interface for depldock.
  *
  * @author Petr Hnetynka
  */
public interface CNDeplDock {
  SOFA.SOFAnode.Run.Deployment.TechnologyDescriptor[] describeUnderlyingEnvironment() ;
  SOFA.Connector.Reference instantiate(SOFA.SOFAnode.Run.Deployment.DeploymentDescriptor dd, String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException;

  String[] namesOfAllRunningComponents();
  String[] namesOfAllRunningApplications();
  SOFA.Connector.Reference getReference(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException;
  void removeComponent(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException;
}
