/*
 * SRoleImplGen.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Elements;

import SOFA.Connector.EEG.CodeWriter.JWriterDirectorException;
import SOFA.Connector.EEG.EEM.Actions.JIfaceCN;
import SOFA.Connector.EEG.EEM.Actions.JIfaceNormal;
import SOFA.Connector.EEG.EEM.Actions.JImplWriterDirectorBase;
import SOFA.SOFAnode.Made.TIR.OperationDef;

/**
 *
 * @author  ghort
 * @version 
 */
public class SRoleImplGen extends JImplWriterDirectorBase {

	/** Creates new SRoleImplGen */
	public SRoleImplGen(String provIfaceCDL, SOFA.Connector.Property[] params) {
		super(provIfaceCDL,params);
	}

	public String[] getImplements() {
		return new String[] {"SOFA.Connector.EEG.Types.SRole"};
	}

	public String getExtends() {
		return "SOFA.Connector.EEG.ElementRoleBase";
	}

	public String getClassBody() {
		return linkImpl()+"\n"+
                "\tpublic static final String _CDLID = \""+provIfaceCDL+"\";\n\n"+
                "\tpublic org.objectweb.fractal.api.Type getFcItfType() {return new SOFA.Util.FcTypeImpl(); }\n\n"+
                "\tpublic boolean isFcInternalItf() { return false; }\n\n"+
                "\tpublic String getFcItfName() { return getConnectorName(); }\n\n"+
                "\tpublic org.objectweb.fractal.api.Component getFcItfOwner() { return (org.objectweb.fractal.api.Component) this.getComponentManager(); }\n\n";
	}

	public String getMethodDef(OperationDef mt) throws JWriterDirectorException {
		return JIfaceCN.getMethodDef(mt);
	}
	
	public String getMethodBody(OperationDef method) throws JWriterDirectorException {
		return 
			"\t\t"+declareRet(method,"ret")+"\n"+
			"\t\tSOFA.Component.ThreadIDRegistry thrReg=manager.getThrIDRegistry();\n"+
			"\t\tthrReg.threadInCall(thr_id);\n"+
			"\n"+
			"\t\t"+assignRet(method,"ret")+targetCall(method,JIfaceNormal.targetCallParams(method))+";\n"+
			"\n"+
			"\t\tthrReg.threadOutReturn(thr_id);\n"+
			"\t\t"+returnRet(method,"ret");
	}
	 
}
