/*
 * LicenceRMI.java
 *
 * Created on 7. duben 2004, 17:31
 */

package SOFA.SOFAnet.Transport.RMI;

import java.io.Serializable;
import java.util.Date;
import SOFA.SOFAnet.Repository.Licence;

/**
 * The class serves to transport Licence over RMI.
 * @author  Ladislav Sobr
 */
public class LicenceRMI implements Serializable
{
  private int type;
  private int numberOfCopies;
  private Date validFrom;
  private Date validTo;
  private String text;
  
  /** Creates a new instance of LicenceRMI */
  public LicenceRMI(Licence licence)
  {
    type = licence.getType();
    numberOfCopies = licence.getNumberOfCopies();
    validFrom = licence.getValidFrom();
    validTo = licence.getValidTo();
    text = licence.getText();
  }
  
  public Licence getLicence()
  {
    Licence licence = new Licence();
    licence.setType(type);
    licence.setNumberOfCopies(numberOfCopies);
    licence.setValidFrom(validFrom);
    licence.setValidTo(validTo);
    licence.setText(text);
    return licence;
  }
}
