/*
 * RMIPullOutputHolder.java
 *
 * Created on 7. duben 2004, 18:11
 */

package SOFA.SOFAnet.Transport.RMI;

import java.io.Serializable;

/**
 * Holder of output of "pull" fuction in RMITransportInterface
 *
 * @author  Ladislav Sobr
 */
public class RMIPullOutputHolder implements Serializable
{
  public byte[] bundle;
  public LicenceRMI licenceRMI;
  public int errCode;
  public String address;
  
  /** Creates a new instance of RMIPullOutputHolder */
  public RMIPullOutputHolder()
  {
    bundle = null;
    licenceRMI = null;
    errCode = 0;
    address = null;
  }
  
}
