/* $Id: List.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

class ListItem {
  public Object item;
  public ListItem prev;
  public ListItem next;
  public ListItem(Object what, ListItem prv, ListItem nxt) {
    item = what;
    prev = prv;
    next = nxt;
  }
}

class List {
  int count;
  ListItem first;
  ListItem last;
  ListItem akt;
  
  public List() {
    count = 0;
    first = null;
    last = null;
    akt = null;
  }

  void add(Object what) {
    ListItem li;
    if (count==0) {
      li = new ListItem(what, null, null);
      first = li;
      last = li;
      akt = first;
    } else {
      li = new ListItem(what, last, null);
      last.next = li;
      last = li;
    }
    count++;
  }

  void prepend(Object what) {
    ListItem li;
    if (count==0) {
      li = new ListItem(what, null, null);
      first = li;
      last = li;
      akt = first;
    } else {
      li = new ListItem(what, null, first);
      first.prev = li;
      first = li;
    }
    count++;
  }

  public int size() { return count; }

  public Object aktual() { 
    if (akt==null)
      return null;
    return akt.item;
  }

  public boolean toNext() { 
    if (akt.next==null)
      return false;
    else akt = akt.next;
    return true;
  }

  public boolean toPrev() { 
    if (akt.prev==null)
      return false;
    else akt = akt.prev;
    return true;
  }

  public void toFirst() { akt = first; }

  public void toLast() {akt = last; }

  public Object removeAkt() {
    if (count>0) {
      Object ret = akt.item;
      if (count==1) {
	akt = first = last = null;
	count = 0;
      } else {
        if (akt == first) {
          first = akt.next;
	  first.prev = null;
	  akt.next = null;
	  akt = first;
	} else {
          if (last == akt) {
	    last = akt.prev;
	    last.next = null;
	    akt.prev = null;
	    akt = last;
	  } else {
	    akt.prev.next = akt.next;
	    akt.next.prev = akt.prev;
	    akt = akt.next;
	  }
	}
        count--;
      }
      return ret;
    }
    return null;
  }
}
