/* $Id: DefinitionKind.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
    Constants for all kinds of the repository objects.
*/
public interface DefinitionKind extends Remote {
  public static final int dk_none = 0;
  public static final int dk_all = 1;
  public static final int dk_Attribute = 2;
  public static final int dk_Constant = 3;
  public static final int dk_Exception = 4;
  public static final int dk_Interface = 5;
  public static final int dk_Module = 6;
  public static final int dk_Operation = 7;
  public static final int dk_Typedef = 8;
  public static final int dk_Struct = 9;
  public static final int dk_Union = 10;
  public static final int dk_Enum = 11;
  public static final int dk_Primitive = 12;
  public static final int dk_String = 13;
  public static final int dk_Sequence = 14;
  public static final int dk_Array = 15;
  public static final int dk_Repository = 16;
  public static final int dk_Frame = 17;
  public static final int dk_Architecture = 18;
  public static final int dk_Provides = 19;
  public static final int dk_Requires = 20;
  public static final int dk_Property = 21;
  public static final int dk_Implements = 22;
  public static final int dk_Inst = 23;
  public static final int dk_Bind = 24;
  public static final int dk_Protocol = 25;
  public static final int dk_StructMember = 26;
  public static final int dk_EnumMember = 27;
  public static final int dk_UnionMember = 28;
  public static final int dk_Expression = 29;
  public static final int dk_ProtocolOper = 30;
  public static final int dk_ValueGen = 31;
  public static final int dk_ValueGenElem = 32;
  public static final int dk_BindOper = 33;
  public static final int dk_Provider = 34;
  public static final int dk_AModule = 35;
  public static final int dk_Wstring = 36;
  public static final int dk_Fixed = 37;
  public static final int dk_Param = 38;
  public static final int dk_BindType = 39;
  public static final int dk_WorkRepository = 40;
  public static final int dk_Profile = 41;
  public static final int dk_ManageProfiles = 42;
  public static final int dk_CDLRepository = 43;
  /** Returns actually conatined kind. */
  public int value() throws RemoteException;
}
