package SOFA.SOFAnode.Run.DeplDockRegistry;

import org.omg.CORBA.ORB;
import org.omg.CosNaming.NameComponent;
import org.omg.CosNaming.NamingContext;
import org.omg.CosNaming.NamingContextHelper;

public class TextClient {
  public static void main(String[] argv) {
    try {
      ORB orb = ORB.init(argv, null);
      
      org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
      NamingContext ncRef = NamingContextHelper.narrow(objRef);
  
      NameComponent nc = new NameComponent("DeplDockRegistry", "");
      NameComponent path[] = {nc};
      DeplDockRegistry ref = DeplDockRegistryHelper.narrow(ncRef.resolve(path));
  
      String[] names = ref.getAllNames();
      for (int i=0;i<names.length; i++) {
        System.out.print(new String(names[i])+": ");
        byte[] r = ref.lookup(names[i]);
        System.out.println(new String(r));
      }
    } catch (Exception e) {
      System.out.println("ERROR : " + e) ;
      e.printStackTrace(System.out);
    }
  }
}
