/**
 * TR2InOutLocalStub.java is a part of the SOFA project.
 * This file was created by pepan on 19.3.2003.
 */
package SOFA.SOFAnode.TR.Connector;

import SOFA.SOFAnode.InOut.Bundle;
import SOFA.SOFAnode.TR.ComponentInfo;
import SOFA.SOFAnode.TR.TRException;

/**
 * @author Petr Panuska
 */
public class TR2InOutLocalStub implements CNTR2InOut {
  private CNTR2InOut target;

  public TR2InOutLocalStub (CNTR2InOut target) {
    this.target = target;
  }

  public void storeBundle (Bundle bundle) throws TRException {
    target.storeBundle(bundle);
  }

  public Bundle getBundle (ComponentInfo[] descs, ComponentInfo[] comps, boolean inferiors) throws TRException {
    return target.getBundle(descs, comps, inferiors);
  }

  public boolean contains (ComponentInfo descrs) {
    return target.contains(descrs);
  }

  public Bundle list () {
    return target.list();
  }

}
