/* $Id: SyntaxErrorException.java,v 1.2 2004/06/29 09:50:39 kofron Exp $ */

package SOFA.SOFAnode.Util;

/**
 * The class for syntax error exceptions
 *
 * @author	Stanislav Visnovsky
 * @version	1.0.0
*/
public class SyntaxErrorException extends Exception {

	/**
	 * Creates the instance of a new syntax error exception.
	 *
	 * @author	Stanislav Visnovsky
	 * @version	1.0.0
	*/
    public SyntaxErrorException() { super(); }

	/**
	 * Creates the instance of a new syntax error exception with a given comment.
	 *
	 * @author	Stanislav Visnovsky
	 * @version	1.0.0
	 * @param s	the comment on the raised exception
	*/
    public SyntaxErrorException(String s) { super(s); }
}
